Gridstate
ApiV1Evidence search

Search source evidence using weighted lexical, exact, and prefix matching

GET
/v1/evidence-search

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

q*string
source_id?string
authority?string

Value in

  • "federal_regulator"
  • "regulatory_order"
  • "approved_tariff"
  • "official_operator_dataset"
  • "official_utility_dataset"
  • "official_filing"
  • "official_planning_report"
  • "federal_aggregated_dataset"
  • "officially_sponsored_synthesis"
  • "customer_supplied"
  • "other_public_source"
redistribution_policy?string

Value in

  • "normalized_records_only"
  • "public_redistribution"
  • "links_only"
  • "review_before_redistribution"
  • "internal_analysis_only_pending_terms_review"
kind?string

Value in

  • "prose"
  • "table"
  • "figure"
page?integer
Range1 <= value <= 2147483647
known_at?string
cursor?string
limit?integer
Range1 <= value <= 100

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/evidence-search?q=string"
{  "data": [    {      "chunkId": "string",      "sourceId": "string",      "assetHash": "string",      "kind": "prose",      "page": 1,      "sectionPath": [        "string"      ],      "tableId": "string",      "content": "string",      "sourceLocator": "string",      "rank": 0    }  ],  "meta": {    "hasMore": true,    "limit": 1,    "nextCursor": "string",    "order": "rank_desc_id_asc"  }}